Journal KDE 4 devient instable

Posté par (page perso) .
Tags : aucun
8
11
avr.
2009
Bonjour journal (et surtout bonjours au personnes le lisant),

KDE4 devient instable : c'est le titre du billet que j'ai fait sur mon blog. N'étant pas là pour augmenter mon compteur de visite, je ne mettrai pas de lien vers ce billet mais vous en donnerai le contenue[1].

Notre superbe distribution Gnu/Debian[2] a, il y a quelque jours, décidé de passer KDE 4 dans les dépots instables. Ces paquets était avant dans la partie expérimental.

Point positif, ils ont écris un outils de migration qui permet soit de garder la configuration KDE 4 (pour ce qui ont travailler avec le dépot expérimental), soit de garder la configuration KDE 3 (pour ceux qui n'ont pas encore touché à KDE 4), ou de fusionner les deux (au risque d'être polluer de fichiers inutiles). L'outil en question s'appelle Kaboom (avec un nom pareil, je me pose des questions sur sa stabilité).

Point négatif (enfin pas pour moi), il n'est pas possible d'avoir KDE 3 et KDE 4 en même temps, et si l'on veut garder KDE 3, plus question de mise à jours sur la branche instable. Pour ceux qui ne souhaite pas KDE 4 (peur du changement ? c'était mieux à vent ? pas avant l'hiver, pour passer du temps à se réchauffer et tout reconfigurer ?), la solution sera donc le passage à lenny (et le downgrade que cela implique), le choix d'un autre environnement de bureau, voir pire le passage à une distribution qui utilise encore KDE 3 [3] ...

Pour ma part, j'ai installé KDE 4 avec plaisir, et j'en suis content. J'attends avec impatience que l'ensemble des applications ai était migré (je pense par exemple à KDevelop qui n'est pas encore à jours, Kaffeine qui est encore je trouve le meilleurs lecteur de vidéo (Codéine ou Dragon Player ne lui arrive pas à la cheville), ...)

[1] Vous pouvez trouver l'adresse de mon site en cliquant sur le lien Page Perso ;)
[2] En faite, je pense que ce sont les mainteneurs du projet KDE pour cette distribution, qui ont pris la décision ;)
[3] A ce propos je pense que toutes les distributions y passerons à un moment ou à un autre.
  • # Tout le cœur y est ?

    Posté par (page perso) . Évalué à 1.

    J'ai vu comme toi arriver doucement dans unstable les différents packages de kde. Cependant, il me semble pour l'instant qu'un certain nombre de packages proches du cœur de kde ne soient pas encore arrivés. Je me trompe ?
    • [^] # Re: Tout le cœur y est ?

      Posté par . Évalué à 2.

      Apparemment il peut y avoir quelques problèmes pendant la phase de transition si j'en crois http://ekaia.org/blog/2009/04/02/kde-42-in-unstable-is-comin(...) . Cependant ça devrait se résoudre assez vite. Donc un peu de patience et ce sera tout bon.
    • [^] # Re: Tout le cœur y est ?

      Posté par (page perso) . Évalué à 3.

      Les paquets qui manque à mon installation sont les paquets de développement (kdevelop, ...). Sinon pour une utilisation courante, tout fonctionne : plasma, konsole, kontact, kmail, akregator, kwrite, konqueror, dolphin, ... Je n'ai pas trouvé qu'il manquait des paquets.
      • [^] # Re: Tout le cœur y est ?

        Posté par (page perso) . Évalué à 1.

        Chez moi le métapackage kde n'a pas toutes ses dépendances satisfaites, et ne peut donc pas être installé. Si je force l'installation de certains packages de kde4, alors certains packages tels que kde sont supprimés. Pas chez toi ?
        • [^] # Re: Tout le cœur y est ?

          Posté par (page perso) . Évalué à 4.

          kde n'est qu'un meta-package, j'ai installé kde paquet par paquet.

          Pour installer le paquet kde, il manque le paquets kdeaddons. Paquet pas vraiment necessaire. Tu peux installer toutes les dépendances du paquet kde sauf kdeaddons.

          Sinon tu peux installer kde4-minimal qui contient le coeur du système, et ensuite tu installes/upgrade les applis restantes séparément.
  • # KDE3 et KDE4 en même temps

    Posté par (page perso) . Évalué à 2.

    N'est-il pas possible d'utiliser ~/.kde pour KDE3 et ~/.kde4 pour KDE4, et donc pouvoir utiliser les deux en même temps ?
    • [^] # Re: KDE3 et KDE4 en même temps

      Posté par . Évalué à 1.

      Le problème doit être qu'on ne peut pas installer les deux en même temps !
      • [^] # Re: KDE3 et KDE4 en même temps

        Posté par . Évalué à 1.

        Dans la liste des distros qui permettent d'avoir KDE 3 et KDE 4 en même temps, il y a aussi Mandriva.

        (et en passant, Mandriva participe activement au développement de KDE)
        • [^] # Re: KDE3 et KDE4 en même temps

          Posté par . Évalué à 4.

          Dans la 2009.0 oui, mais KDE3 a été supprimé de la 2009.1, il reste juste les libs pour les programmes pas encore portés.

          Par contre il y a des paquets (non officiels, cf annonce sur kde.org) de KDE 4.2.2 disponibles pour la 2009.0. Le problème c'est qu'ils sont maqué comme rendant obsolètes leurs équivalents KDE3, donc quand on les installe ils virent KDE3, mais tu peux réinstaller les paquets après, il n'y a pas d'incompatibilité (en tout cas je n'en ai pas constaté).
          Mon conseil: notez tous vos paquets installés avant essai (rpm -qa|sort) pour ensuite pouvoir facilement trouver ce qui a été supprimé et pouvoir les remettre.
    • [^] # Re: KDE3 et KDE4 en même temps

      Posté par (page perso) . Évalué à 2.

      Le premier problème est que les paquets KDE 4 remplacent les paquets KDE 3. Le seconde problème est que le coeur de KDE utilisent maintenant tout deux .kde comme dossier pour les préférences.
      • [^] # Re: KDE3 et KDE4 en même temps

        Posté par . Évalué à 4.

        Sur un vrai OS genre FreeBSD, tu peux avoir les 2 en même temps sans problème, et depuis longtemps. :P
        Sous Gentoo/Linux aussi d'ailleurs.
        • [^] # Re: KDE3 et KDE4 en même temps

          Posté par (page perso) . Évalué à 2.

          Mais pourquoi diable le commentaire du dessus a-t-il été moinssé. Il a raison, sous FreeBSD on peut avoir les deux en même temps. Est-ce le terme "vrai OS" qui à choqué. Dans ce cas on devrait aussi être choqué par les news sur Slackware, la "meilleure distro ceci celà". C'est du même ordre, chacun est taquin quand il parle de sa chapelle.
          • [^] # Re: KDE3 et KDE4 en même temps

            Posté par (page perso) . Évalué à 4.

            # The user's personal KDE directory is usually ~/.kde, but this setting
            # may be overridden by setting KDEHOME.

            C'est faisable sur n'importe quel distrib depuis des lustres, faut juste un admin compétant :p
      • [^] # Re: KDE3 et KDE4 en même temps

        Posté par . Évalué à -1.

        say nul on peut pas lui indiquer un $Path different ?
        j'avais bien kde3 et kde 4 (compilé avec kdesvn-build)
  • # En gros ...

    Posté par . Évalué à 0.

    Tu constates que l'installation de KDE 4 depuis la branche "unstable", ne te permet pas de faire tout ce que tu veux.

    Je vois pas le problème, c'est annoncé comme tel. "Unstable" ça peut casser ton système. C'est une branche qui permet à un logiciel d'accéder à la branche de développement de la prochaine version ("testing") après un délai de quelques semaines, le temps de s'assurer qu'aucun gros problème n'est présent. Si il y en a, on bloque le passage dans "testing" du paquet concerné et on corrige.

    Par contre quand tu dis que c'est soit KDE4 dans "unstable" ou KDE3 dans "lenny", tu oublies certainement que le développement de la suite de "lenny" se fait dans la branche "testing". Qui elle est nettement plus conseillé d'emploi que la branche "unstable".

    Debian Lenny (stable) -> Debian Squeeze (testing) -> Desbian SID (unstable)

    Étant donné la récente mise à jour de Debian. Lenny date du 14 février dernier, il me semble que les utilisateurs basiques peuvent se limiter à la version stable. Il est évident que dans quelques mois certains migreront vers testing pour avoir les "nouveautés" présentent dans les autres distributions longtemps avant.

    Ceux qui veulent un système "debianisé" qui soit top tendance ont intérêt à se tourner vers Ubuntu ou alors à accepter les erreurs inhérentes au développement de Debian.
    • [^] # Re: En gros ...

      Posté par (page perso) . Évalué à 2.

      Tu constates que l'installation de KDE 4 depuis la branche "unstable", ne te permet pas de faire tout ce que tu veux.

      Pour KDevelop et Kaffeine j'utilise ceux de kde 3 pour l'instant (et j'attends les mêmes applis en version kde 4), mais j'arrive à faire ce que je veux. Quant à installer KDE 3 à KDE 4, je dis juste que c'est dommage que ce ne soit pas possible pour ceux voulant migrer doucement mais moi cela ne me dérange pas.

      Je vois pas le problème, c'est annoncé comme tel. "Unstable" ça peut casser ton système. C'est une branche qui permet à un logiciel d'accéder à la branche de développement de la prochaine version ("testing") après un délai de quelques semaines, le temps de s'assurer qu'aucun gros problème n'est présent. Si il y en a, on bloque le passage dans "testing" du paquet concerné et on corrige.

      Justement pour l'instant je n'ai pas de gros problème.

      Par contre quand tu dis que c'est soit KDE4 dans "unstable" ou KDE3 dans "lenny", tu oublies certainement que le développement de la suite de "lenny" se fait dans la branche "testing". Qui elle est nettement plus conseillé d'emploi que la branche "unstable".

      Oui c'est soit KDE 4 dans unstable ou testing (mais je préfère unstable personnellement), ou soit KDE 3 dans lenny.

      Debian Lenny (stable) -> Debian Squeeze (testing) -> Desbian SID (unstable)

      Étant donné la récente mise à jour de Debian. Lenny date du 14 février dernier, il me semble que les utilisateurs basiques peuvent se limiter à la version stable. Il est évident que dans quelques mois certains migreront vers testing pour avoir les "nouveautés" présentent dans les autres distributions longtemps avant.


      Oui mais en cas de migration vers testing, ils auront kde 4. Et je pense qu'il y a beaucoup (trop?) de personne résistante à passer à kde 4.

      Ceux qui veulent un système "debianisé" qui soit top tendance ont intérêt à se tourner vers Ubuntu ou alors à accepter les erreurs inhérentes au développement de Debian.

      Personnellement, je n'aime pas la version ubuntu de kde. Mais bon ce n'est qu'une question de goût. Je trouve Ubuntu trop finaliser pour moi (trop de choix déjà pris à ma place).
      • [^] # Re: En gros ...

        Posté par (page perso) . Évalué à 6.

        je crains que ton titre accrocheur (qui m'a fait penser qu'il y avait des régressions de KDE 4.2) ne te retombe dessus :-)

        Tu aurais mis unstable j'aurais tout de suite percuté que tu parlais de Debian :D (même si dans ce cas tu aurais sans doute eu quelques remarques sur l'orthographe).
        Tu remarqueras que tu lances de toi-même un troll distrib' aussi (et je le relève).
      • [^] # Re: En gros ...

        Posté par . Évalué à 1.

        " Oui mais en cas de migration vers testing, ils auront kde 4. Et je pense qu'il y a beaucoup (trop?) de personne résistante à passer à kde 4."

        Euh, KDE4 n'est pas testing (il me semble), donc actuellement ceux qui migrent sous testing auront toujours KDE3, non ?
        • [^] # Re: En gros ...

          Posté par . Évalué à 5.

          Oui, pour l’instant.

          Notons aussi que l’on peut très bien rester en Unstable à jour et en KDE3, il suffit de bloquer la mise à jour des paquets KDE. Pas besoin de repartir en Lenny…
  • # KDevelop et Kaffeine ?

    Posté par (page perso) . Évalué à 5.

    Essayes SMPlayer (Qt4) et Qt Creator (Qt4), ça pourrait te plaire
    • [^] # Re: KDevelop et Kaffeine ?

      Posté par . Évalué à 5.

      Ou VLC ... enQt4 lui aussi ...
      • [^] # Re: KDevelop et Kaffeine ?

        Posté par . Évalué à 4.

        Ou mplayer tout court, pas de GUI inutile. :)
        • [^] # Re: KDevelop et Kaffeine ?

          Posté par . Évalué à 4.

          Et puis utilise Emacs ou Vim au lieu de Kdevelop.

          ...

          Finalement, en fait, je pense qu'on arrive tout doucement à te proposer de larguer KDE4, et X11 en fait:
          tu peux lancer mplayer dans un framebuffer et utiliser emacs/vim pour développer.

          Bon, pas sûr que tu auras plus de succès quand tu feras tes interfaces graphiques en ncurses...

          Quoi? Ah, certes, on n'est plus vendredi...
          • [^] # Re: KDevelop et Kaffeine ?

            Posté par . Évalué à 2.

            tu peux lancer mplayer dans un framebuffer
            Anéfé, tu peux même virer le framebuffer : pour mon contenu HD, je choisis la libcaca !

            Blague à part, j'utilise mplayer sans gui et je suis sous X. Bon, pas sous kde, certes (mais j'utilise kmail). Mon gestionnaire de fichiers c'est zsh. Les goûts et les couleurs, toussa…
  • # APT est puissant

    Posté par . Évalué à 3.

    Tellement que je suis sur qu'il est possible de rester en KDE3 et rester en sid.
    La puissance de tout ça viens du fichier /etc/apt/preference qui permet d'indiquer ces propres priorités et donc de bloquer une version d'un paquet donné.

    Tous les contenus que j'écris ici sont sous licence CC0 (j'abandonne autant que possible mes droits d'auteur sur mes écrits)

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.